% example14_Close_loopTF.m
function PlantTF=example14_Close_loopTF
% Definitions of the blocks of the transfer functions
NumG1=[1]; DenG1=[1 1];
G1TF=tf(NumG1,DenG1);
NumG2=[1]; DenG2=[1 2];
G2TF=tf(NumG2,DenG2);
NumG3=[1 1]; DenG3=[1 7 1];
G3TF=tf(NumG3,DenG3);
NumG4=[1]; DenG4=[1 5];
G4TF=tf(NumG4,DenG4);
NumH1=[1 0]; DenH1=[1 1];
H1TF=tf(NumH1,DenH1);
% Connecting G1 and G2 in parallel
G1G2TF=parallel(G1TF,G2TF);
% Connecting G3 and G4 in serial
G3G4TF=series(G3TF,G4TF);
% Connecting G1G2 and G3G4 in serial
G1G2G3G4TF=series(G1G2TF,G3G4TF);
% Closing the loop with H1;
PlantTF=feedback(G1G2G3G4TF,H1TF);
