% example14_CoupledTanksZPK.m
function PlantZPK=example14_CoupledTanksZPK
% Running the transfer function object
CoupledTanksTF;
% Finding the poles
PlantPoles=pole(CoupledTanksTF);
% Finding the zeros
PlantZeros=zero(CoupledTanksTF);
% Finding the DC gain
PlantGain=dcgain(CoupledTanksTF);
% Finding the zero-pole-gain presentation
PlantZPK=zpk(PlantZeros,PlantPoles,PlantGain);
% Plotting the step response
step(PlantZPK);
