% example2_15.m
% interp1f
% This program uses MATLAB's function interp1 to interpolate for
% specific volume of air. Air table values for specific volume (m^3/kg) % vs. temperature (K) air given.
clear; clc;
Tt=[150 200 250 300 350 400 450 500]; 
vt=[0.04249 0.05665 0.07082 0.08498 0.09914 0.11330 0.12747 0.14163];
fprintf('This program interpolates for specific volume,v, at \n\n');
fprintf('a specified temp, T. Table temperature range is 150-500(K) \n\n');
T=input('Enter T at which v is to be determined \n\n');
v=interp1(Tt,vt,T);
fprintf(' T=%6.1f (K)   v= %8.5f (m^3/kg) \n',T,v);



