% example14_DC_Close_LoopTF.m
function PlantTF=example14_DC_Close_LoopTF
Rm=0.41;
Lm=0.005;
Kb=0.824;
Kt=7.29;
B=0.002;
J=0.19;
%Define the electrical block
NumE=[Kt];
DenE=[Lm Rm];
ElectricalTF=tf(NumE,DenE);
%Define the mechanical block
NumM=[1];
DenM=[J B];
MechanicalTF=tf(NumM,DenM);
%Define the feedback block
NumFB=[Kb];
DenFB=[1];
FeedbackTF=tf(NumFB,DenFB);
%Connect the elecrical and mechanical blocks in series
Elec_MechTF=series(MechanicalTF,ElectricalTF);
%Closing the loop
DC_Close_LoopTF=feedback(Elec_MechTF,FeedbackTF)
%Plot the time response to a unit steo
step(DC_Close_LoopTF)
