% example2_10a.m
% AMATRIX7a
% This example is a modification of Example 2.10 in the textbook.
% Matrices A and B are loaded from a file named gauss6a.dat, then printed 
% to the screen. Matrices A and B are combined in matrix C, which is sent 
% to function moutput. This function subdivides matrix C into matrices A 
% and B and prints them out to the screen.
% Note: Before running this program, data file gauss6a.dat and function 
% moutput.m need to be created.
clear; clc;
n=5;
load gauss6a.dat
A=gauss6a(:,1:n);
B=gauss6a(:,n+1);
fprintf('  Matrix A elements \n');
A 
fprintf('\n\n');
fprintf('  Matrix B elements \n');
B
C=[A B];
moutput(C);
