% example2_5.m
% exf1
% Creating a function, 'exf1', that evaluates e^x.
% In this function, x is an input variable and needs to be defined either 
% from the command window or from another program. The output, ex, is 
% available to be used in another program or in the command window. 
% In this example term(n+1)is obtained from term(n) by multiplying 
% term(n) by x/n. 
% e^x = 1 + x + x^2/2! + x^3/3! + x^4/4! + ...
function ex=example2_5(x) 
term(1)=1.0;
for n=1:99
   term(n+1)=term(n)*x/n;
   if abs(term(n+1)) <= 1.0e-7
      break;
   end
end
ex=sum(term);
% In Command Window type in
% exf1(5.0) or y=exf1(5.0)
