 % example2_7.m
 % plotc
 % example2_6 needs to be run before running this program.
 % This script is a sample of a plot program loading data obtained
 % in another program
 clear; clc;
 load data1
 x=data1(:,1);
 y=data1(:,2);
 z=data1(:,3);
 plot(x,y,'--',x,z,'-.');
 xlabel('x'), ylabel('y,z'), title('y & z vs. x'), grid,
 text(5.4,3.4,'y'),text(7.2,3.5,'z');
 
 % Curves y1 and y2 can also be distinguished by using different types of
 % curves as listed below.
 % curve types:
 % solid             default
 % dashed       --   (minus sign)
 % dashed-dot   -.
 % doted         :
 % point         .
 % plus          +
 % star          *
 % circle        o
 % x-mark        x
 % The point and below are points on the plot that are not connected.
 % The legend command may also be used in place of the text command to identify 
 % the curves. The legend box may be moved by clicking on the box and dragging
 % it to the desired position. 

 