% example3_9.m
% eigen2
% Eigenvalues and eigenvectors.
% E = eig(a) is a vector containing the eigenvalues of a square matrix a.
% [V,D] = eig(a) produces a diagonal matrix D of eigenvalues and a
% full matrix V whose columns are the corresponding eigenvectors so
% that X*V = V*D.
% Units are in SI units.
    clear; clc;
    k1=3250; k2=3500; k3=3000; m1=1500; m2=1500; 
    a(1,1)=(k1+k2)/m1;
    a(1,2)=-k2/m1;
    a(2,1)=-k2/m2;
    a(2,2)=(k2+k3)/m2;
% Lamda^2-(a(1,1)+a(2,2))*Lamda+(a(1,1)*a(2,2)-a(1,2)*a(2,1))=0
    b=-(a(1,1)+a(2,2)); c=a(1,1)*a(2,2)-a(1,2)*a(2,1);
    Lamda1=(-b-sqrt(b^2-4*c))/2;
    Lamda2=(-b+sqrt(b^2-4*c))/2;
    E=eig(a);
    fprintf('Lamda1=%7.5f   Lamda2=%7.5f \n', Lamda1,Lamda2)
    fprintf('E(1)= %7.5f   E(2)=%7.5f \n',E(1),E(2));
    v1=[1;-(a(1,1)-Lamda1)/a(1,2)]
    v2=[1;-(a(1,1)-Lamda2)/a(1,2)]    
    
    [V,D] = eig(a); 
      
    V1=V(:,1)
    V2=V(:,2)
    D
